package com.example.myandroid;

import android.app.Activity;
import android.os.Bundle;

import android.opengl.GLSurfaceView;

import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;


public class GLActivity extends Activity
{

    GLSurfaceView glView;

    /**
     * Méthodes natives
     */
     static {
         System.loadLibrary("testgl");
     }

    public static native void init(int width, int height);
    public static native void step();

    /**/

    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);

	// Création d'une surface pour l'affichage OpenGL
        glView = new GLSurfaceView(this);

	// Utilisation de la version 2.0 d'OpenGL ES
	glView.setEGLContextClientVersion(2);

	// Définition du Renderer qui va produire l'affichage (def. plus bas)
	glView.setRenderer(new Renderer());

	setContentView(glView);

    }

    @Override
    protected void onPause() {
        super.onPause();
        glView.onPause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        glView.onResume();
    }

    /**
     * Renderer class
     */
    private static class Renderer implements GLSurfaceView.Renderer
    {

        public void onDrawFrame(GL10 gl)
	{
            step();
        }

        public void onSurfaceChanged(GL10 gl, int width, int height)
	{
            init(width, height);
        }

        public void onSurfaceCreated(GL10 gl, EGLConfig config)
	{}

    }

}
